Medipass supports at least the following minimum versions on any operating system:

  • Apple Safari 13

  • Google Chrome 93

  • Microsoft Edge 96

  • Internet Explorer 11

  • Firefox 95

Note: Medipass requires the above minimum versions to ensure that baseline security configurations are used.

If you require further assistance, you can contact the Medipass support team by clicking the chat bubble located on the bottom right of your browser or by emailing support@medipass.com.au

Did this answer your question?